### Hierarchy

- JsonFormsBaseRenderer<LabelElement>
  - LabelRenderer

## Index

### Constructors

- constructor

### Properties

- label
- ngRedux
- path
- schema
- subscription
- uischema
- visible

### Methods

- getOwnProps
- mapAdditionalProps
- ngOnDestroy
- ngOnInit

## Constructors

### constructor

- new LabelRenderer(ngRedux: NgRedux<JsonFormsState>): LabelRenderer

- - Defined in other/label.renderer.ts:25

  #### Parameters

  - ##### ngRedux: NgRedux<JsonFormsState>

  #### Returns LabelRenderer

## Properties

### label

label: string

- Defined in other/label.renderer.ts:22

### Private ngRedux

ngRedux: NgRedux<JsonFormsState>

- Defined in other/label.renderer.ts:27

### path

path: string

Inherited from JsonFormsBaseRenderer.path

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:5

### schema

schema: JsonSchema

Inherited from JsonFormsBaseRenderer.schema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:4

### Private subscription

subscription: Subscription

- Defined in other/label.renderer.ts:25

### uischema

uischema: LabelElement

Inherited from JsonFormsBaseRenderer.uischema

- Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:3

### visible

visible: boolean

- Defined in other/label.renderer.ts:23

## Methods

### Protected getOwnProps

- getOwnProps(): OwnPropsOfRenderer

- Inherited from JsonFormsBaseRenderer.getOwnProps

  - Defined in /home/edgar/git/jsonforms/packages/angular-material/node_modules/@jsonforms/angular/lib/base.renderer.d.ts:6

  #### Returns OwnPropsOfRenderer

### mapAdditionalProps

- mapAdditionalProps(): void

- - Defined in other/label.renderer.ts:50

  #### Returns void

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in other/label.renderer.ts:44

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in other/label.renderer.ts:30

  #### Returns void

Generated using TypeDoc